#include "comtypes.h"

void corbatext_fillChar(corbatext_t *t, char *text);
void corbatext_usvector(corbatext_t t, std::vector<unsigned short>& us);
char *corbatext_string(corbatext_t t);
#ifdef TEXT_T_H
void corbatext_arrayToCorbaArray(text_tarray t, corbatext_tarray *ca);
void corbatext_corbaArrayToArray(corbatext_tarray ca, text_tarray *ta);
void corbatext_mapToCorbaMap(text_tmap tm, corbatext_tmap *cm);
void corbatext_corbaMapToMap(corbatext_tmap cm, text_tmap &tm);
void corbatext_setToCorbaArray(text_tset set, corbatext_tset *cset);
void corbatext_corbaArrayToSet(corbatext_tset cset, text_tset *set);
corbatext_t_var corbatext_corbatext(text_t t);
int corbatext_corbatext(text_t t, corbatext_t_var ct);
#endif
#ifdef COMTYPES_H
void corbatext_colmetamapToCorbaColmetamap(collectionmeta_map cm, corbatext_tcollectionmeta_map *ccm);
void corbatext_corbaColmetamapToColmetamap(corbatext_tcollectionmeta_map ccm, collectionmeta_map &cm);
#endif
